net.sf.jasperreports.engine.export

## Class JExcelApiMetadataExporter.CellTextValueHandler

- java.lang.Object
- - net.sf.jasperreports.engine.export.JExcelApiMetadataExporter.CellTextValueHandler

- All Implemented Interfaces:
    TextValueHandler
  Enclosing class:
    JExcelApiMetadataExporter

      protected class JExcelApiMetadataExporter.CellTextValueHandler
      extends java.lang.Object
      implements TextValueHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JExcelApiMetadataExporter.CellTextValueHandler(int x, int y, JRPrintText textElement, JExcelApiMetadataExporter.StyleInfo baseStyle, boolean cellComplexFormat)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected jxl.write.Blank` | `blank(jxl.write.WritableCellFormat cellStyle)`
    `jxl.write.biff.CellValue` | `getResult()`
    `void` | `handle(BooleanTextValue textValue)`
    `void` | `handle(DateTextValue textValue)`
    `void` | `handle(NumberTextValue textValue)`
    `void` | `handle(StringTextValue textValue)`
    `boolean` | `isCellComplexFormat()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JExcelApiMetadataExporter.CellTextValueHandler

          public JExcelApiMetadataExporter.CellTextValueHandler(int x,
                                                        int y,
                                                        JRPrintText textElement,
                                                        JExcelApiMetadataExporter.StyleInfo baseStyle,
                                                        boolean cellComplexFormat)

  - ### Method Detail

    - #### handle

          public void handle(StringTextValue textValue)
                      throws JRException

      Specified by:
        `handle` in interface `TextValueHandler`
      Throws:
        `JRException`

    - #### handle

          public void handle(NumberTextValue textValue)
                      throws JRException

      Specified by:
        `handle` in interface `TextValueHandler`
      Throws:
        `JRException`

    - #### handle

          public void handle(DateTextValue textValue)
                      throws JRException

      Specified by:
        `handle` in interface `TextValueHandler`
      Throws:
        `JRException`

    - #### handle

          public void handle(BooleanTextValue textValue)
                      throws JRException

      Specified by:
        `handle` in interface `TextValueHandler`
      Throws:
        `JRException`

    - #### blank

          protected jxl.write.Blank blank(jxl.write.WritableCellFormat cellStyle)

    - #### getResult

          public jxl.write.biff.CellValue getResult()

    - #### isCellComplexFormat

          public boolean isCellComplexFormat()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com